export declare class HttpClientConfigData {
    token: string;
    proxy: string;
    server: string;
    compressRequests?: boolean;
}
export declare class BuildSessionData {
    appName: string;
    buildName: string;
    branchName: string;
    buildSessionId: string;
    additionalArguments?: string;
}
export declare class CreateBuildSessionIdResponse {
    buildSessionId: string;
}
export declare class GetVersionRequest {
    customerId: string;
    appName: string;
    testStage: string;
    branchName: string;
    componentName: string;
    buildName: string;
}
export declare class GetVersionResponse {
    agent: AgentInfo;
    meta: VersionMeta;
}
export declare class AgentInfo {
    date: number;
    name: string;
    url: string;
    version: string;
}
export declare class VersionMeta {
    generated: number;
    requestUrl: string;
    query: VersionMetaQuery;
}
export declare class VersionMetaQuery {
    agentType: string;
    isDefault: boolean;
}
export declare class BuildMappingRequest {
    meta: any;
    files: Array<FileData>;
    dependencies: Array<DependencyData>;
}
export declare class DependencyData {
    appName: string;
    branch: string;
    build: string;
}
export declare class FileData {
    logicalPath: string;
    physicalPath: string;
    methods: Array<any>;
    lines: Array<any>;
    hash: string;
}
export declare class GetRemoteConfigRequest {
    appName: string;
    branch: string;
    customerId: string;
    testStage: string;
    component: string;
    version: string;
}
export declare class SubmitLogsRequest {
    appName: string;
    customerId: string;
    testStage: string;
    log: string;
    creationTime: number;
}
