/// <reference types="bunyan" />
/// <reference types="node" />
import { HttpClientConfigData } from "./contracts";
import bunyan = require("bunyan");
import { HttpVerb } from "./http-verb";
export declare class HttpClient {
    protected cfg: HttpClientConfigData;
    protected logger: bunyan;
    protected defaultTimeout: number;
    constructor(cfg: HttpClientConfigData, logger: bunyan);
    get<T>(urlPath: string, callback: (err: Error, response: T) => void): void;
    delete<T>(urlPath: string, callback: (err: Error, data: T) => void): void;
    post(requestData: any, urlPath: string, callback: (err: Error, body: any) => void): void;
    protected invokeHttpRequest(httpVerb: HttpVerb, urlPath: string, callback: (err: Error, response: any) => void, additionalHeaders?: any, buffer?: Buffer): void;
    protected createOnRequestCallback(httpVerb: HttpVerb, requestId: string, callback: (err: Error, body: any) => void): (err: any, requestResponse: any, body: any) => void;
    private allowUntrustedCertificates();
    private createDefaultOptions(urlPath);
    protected getDefaultTimeout(): number;
}
