"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var constants_1 = require("../constants/constants");
var SLRoutes = /** @class */ (function () {
    function SLRoutes() {
    }
    SLRoutes.agentsV1 = function () {
        return SLRoutes.SLASH + SLRoutes.toUri(SLRoutes.V1) + SLRoutes.toUri(SLRoutes.AGENTS);
    };
    SLRoutes.agentsV2 = function () {
        return SLRoutes.SLASH + SLRoutes.toUri(SLRoutes.V2) + SLRoutes.toUri(SLRoutes.AGENTS);
    };
    SLRoutes.agentsV3 = function () {
        return SLRoutes.SLASH + SLRoutes.toUri(SLRoutes.V3) + SLRoutes.toUri(SLRoutes.AGENTS);
    };
    SLRoutes.configV2 = function (component, customerId, appName, branchName, testStage, version) {
        if (!component) {
            throw new Error("'component' " + constants_1.Constants.Messages.CANNOT_BE_NULL_OR_UNDEFINED + ".");
        }
        if (!customerId) {
            throw new Error("'customerId' " + constants_1.Constants.Messages.CANNOT_BE_NULL_OR_UNDEFINED + ".");
        }
        branchName = branchName || "null";
        testStage = testStage || "null";
        appName = appName || "null";
        var prefix = SLRoutes.agentsV2() + SLRoutes.CONFIG;
        var pathParams = [customerId, appName, branchName, testStage, component, version];
        pathParams = pathParams.map(encodeURIComponent);
        pathParams.unshift(prefix);
        var url = pathParams.join(SLRoutes.SLASH);
        return url;
    };
    SLRoutes.buildSessionV2 = function (buildSessionId) {
        var result = SLRoutes.agentsV2() + SLRoutes.toUri(SLRoutes.BUILD_SESSION_ID) + SLRoutes.toUri(buildSessionId);
        return result;
    };
    SLRoutes.logSubmissionV2 = function () {
        var result = SLRoutes.agentsV2() + SLRoutes.toUri(SLRoutes.LOG_SUBMISSION);
        return result;
    };
    SLRoutes.buildMappingV3 = function () {
        var result = SLRoutes.agentsV3() + SLRoutes.toUri(SLRoutes.BUILD_MAPPING);
        return result;
    };
    SLRoutes.recommendedAgentV2 = function (component, customerId, appName, branchName, testStage) {
        if (!component) {
            throw new Error("'component' " + constants_1.Constants.Messages.CANNOT_BE_NULL_OR_UNDEFINED + ".");
        }
        var result = SLRoutes.agentsV2() + SLRoutes.toUri(component) + SLRoutes.toUri(SLRoutes.RECOMMENDED_VERSION);
        var query = {
            customerId: customerId,
            appName: appName,
            branch: branchName,
            envName: testStage
        };
        result += SLRoutes.buildQueryParams(query);
        return result;
    };
    SLRoutes.toUri = function (uri) {
        if (uri == null || uri.length == null || uri.length === 0) {
            return "";
        }
        return encodeURIComponent(uri) + SLRoutes.SLASH;
    };
    SLRoutes.buildQueryParams = function (paramsMap) {
        if (!paramsMap) {
            throw new Error("'paramsMap' cannot be null or undefined.");
        }
        var queryString = '';
        for (var key in paramsMap) {
            var value = paramsMap[key];
            queryString += SLRoutes.addQueryStringValue(key, value);
        }
        queryString = "?" + queryString;
        queryString = queryString.substring(0, queryString.length - 1); //Remove the last &.
        return queryString;
    };
    SLRoutes.addQueryStringValue = function (key, value) {
        if (!key && !value)
            return '';
        if (!value) {
            value = "";
        }
        var paramString = '';
        paramString += encodeURIComponent(key);
        paramString += "=";
        paramString += encodeURIComponent(value);
        paramString += "&";
        return paramString;
    };
    SLRoutes.SLASH = "/";
    SLRoutes.V1 = "v1";
    SLRoutes.V2 = "v2";
    SLRoutes.V3 = "v3";
    SLRoutes.AGENTS = "agents";
    SLRoutes.BUILD_SESSION_ID = "buildsession";
    SLRoutes.BUILD_MAPPING = "buildmapping";
    SLRoutes.RECOMMENDED_VERSION = "recommended";
    SLRoutes.CONFIG = "config";
    SLRoutes.LOG_SUBMISSION = "logsubmission";
    return SLRoutes;
}());
exports.SLRoutes = SLRoutes;
